> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisiononlinefiles.md).

# medcrypt::guardian::utilities::ProvisionOnlineFiles

## 개요

온라인 프로비저닝 파일을 저장하는 공간입니다. [StartProvisioningOnline()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-4-startprovisioningonline).

**요구 사항:**

* 모든 `const char*` 입력은 로드된 버퍼의 시작 위치를 가리키도록 설정해야 합니다.
* 모든 `size_t` 입력은 버퍼에 로드된 데이터의 크기로 설정해야 합니다.

**사용법:**

* 이 구조체는 [StartProvisioningOnline()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-4-startprovisioningonline) 와 함께 사용하여 온라인 처리를 위한 프로비저닝 요청을 제공합니다.

**포함:**

```cpp
#include <ProvisionOnlineFiles.h>
```

**구문:**

```cpp
struct medcrypt::guardian::utilities::ProvisionOnlineFiles;
```

### 구조체 멤버

* **ProvisionRequest:** 프로비저닝 요청 파일 버퍼
* **ProvisionRequestSize:** 프로비저닝 요청 파일 버퍼 크기

### 멤버 세부 정보

#### ProvisionRequest

* **설명:** 프로비저닝 요청 파일 버퍼입니다.
* **유형:** `const char*`
* **사용법:** 입력
* **구문:**

```cpp
const char * ProvisionRequest;
```

#### ProvisionRequestSize

* **설명:** 프로비저닝 요청 파일 버퍼 크기입니다.
* **유형:** `size_t`
* **사용법:** 입력
* **구문:**

```cpp
size_t ProvisionRequestSize;
```

### 관련 클래스

* [Guardian 클래스](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#overview): 다음을 사용합니다 `ProvisionOnlineFiles` 에서 [StartProvisioningOnline()](/ko/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-4-startprovisioningonline).
* [ProvisionFiles 구조체](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisionfiles.md): 프로비저닝 요청을 생성하는 데 사용되는 파일 구조입니다
* [InitializeFiles 구조체](/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-initializefiles.md) - 초기화에 사용되는 유사한 파일 구조

## 디버깅 및 로깅

Guardian은 로그 파일을 생성하지 않습니다. 대신 로깅은 애플리케이션에서 제어합니다.

* Guardian은 로그를 다음으로 출력합니다: `stdout` 및 `stderr`이러한 로그는 실행 중인 애플리케이션의 터미널/CLI에 표시됩니다. 출력에서 특정 오류 코드나 연결 실패를 확인하세요.
* **사용자 지정 로깅:** 다음을 사용하여 `SetLoggingCallback` 로그 메시지를 콜백 함수로 리디렉션할 수 있습니다. 이렇게 하면 터미널 출력이 중단되고 사용자 지정 로그 처리가 가능해집니다.
* **로그 제어:** 애플리케이션에서 로그 수준과 상세도를 제어할 수 있습니다.
* **Guardian Cloud UI**: Guardian Cloud 인터페이스에서 추가 오류 세부 정보와 프로비저닝 상태를 확인하세요.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/ko/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-utilities-provisiononlinefiles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
